php连接oracle

发布日期:2016-12-28 10:20:02来源:Ones(小万)
[导读]最近遇到个问题,windows下部署php环境并且连接远程oracle数据库,百度了下,说是 从 OTNInstantClientpage下载windows客户端安装包,安装包的位数(32/64位)必须和你所使用的操作系统类型、php版本一致。解压安装包至C:\instantclient_11_2(...

最近遇到个问题,windows下部署php环境并且连接远程oracle数据库,百度了下,说是

从 OTN Instant Client page下载windows客户端安装包,安装包的位数(32/64位)必须和你所使用的操作系统类型、php版本一致。解压安装包至C:\instantclient_11_2(这个路径可以任意选择)

  2. 将C:\instantclient_11_2添加到path环境变量中,重启系统。

  3. 将php.ini中php_oci8、php_oci8_11g前面的分号去掉, 重启Apache, 在phpinfo的页面就应该能看到oci8的相关参数, 不是在Configure Command中

  为了方便操作Oracle, 可以装一个PLSQL。

试了下,不管用,小万用的是xampp,php版本是5.6,没有找到extension=php_oci8_11g.dll于是自己添加了一个,不管用.

于是无解,折腾好久,最后发现,安装了5.3版本php的xampp,里面有一句;extension=php_oci8_11g.dll,打开就可以了,自己添加的貌似不管用,得php.ini里面本身就带才行,估计和php文件夹里面ext里面的dll文件版本有关.

回到
顶部